import request from '@/utils/request';

export const kc_list = (data = {}) =>
  request({
    url: '/kczy/kc/index',
    data: data
  })

export const grade_list = (data = {}) =>
  request({
    url: '/jcxx/grade/index',
    data: data
  })

export const kc_detail = (data = {}) =>
  request({
    url: '/kczy/kc/detail',
    data: data
  })

export const files_list = (data = {}) =>
  request({
    url: '/kczy/files/index',
    data: data
  })

export const files_detail = (data = {}) =>
  request({
    url: '/kczy/files/detail',
    data: data
  })

//课程资源-点赞
export const likeApi_add = (data = {}) => {
  return request({
    url: '/kczy/files_like/add',
    data
  })
}

//课程资源-去除点赞
export const likeApi_del = (data = {}) => {
  return request({
    url: '/kczy/files_like/delete',
    data
  })
}

//课程资源-收藏
export const collectApi_add = (data = {}) => {
  return request({
    url: '/kczy/files_fav/add',
    data
  })
}
//课程资源-去除收藏
export const collectApi_del = (data = {}) => {
  return request({
    url: '/kczy/files_fav/delete',
    data
  })
}