import { createApp } from 'vue'
import 'virtual:windi.css'

import App from './App.vue'
import router from './router/index'

// Toast
import 'vant/es/toast/style'
// Dialog
import 'vant/es/dialog/style'
// Notify
import 'vant/es/notify/style'
// ImagePreview
import 'vant/es/image-preview/style'

import VConsole from 'vconsole';
const vConsole = new VConsole();

const app = createApp(App)
app.use(router)

app.mount('#app')
